from typing import Any

from tutorial.util.request_meta import RequestMeta


def get_insight(request_meta: RequestMeta, party_id: str, solution_id: str, resource_type: str, resource_id,
                insight_id: str) -> dict[str, Any]:
    """Get an insight.
    Arguments:
    party_id -- The party_id associated with the insight
    solution_id -- Id of the solution
    resource_type -- Type of the resource
    resource_id -- The resource_id associated with the insight
    insight_id -- The insight_id
    """
    url = (f'{request_meta.base_url}/parties/{party_id}/models/{solution_id}/resource-types/{resource_type}/resources/'
           f'{resource_id}/insights/{insight_id}')
    params = {'api-version': request_meta.fb_api_version}

    response = request_meta.session.get(url, headers=request_meta.headers, params=params)
    response.raise_for_status()
    return response.json()
