# Copyright © 2024 AgPowered Services
import json
import yaml

from tutorial.adma import party
from tutorial.adma.jwt import get_jwt
from tutorial.util.headers import create_bearer_token_header
from tutorial.util.request_meta import RequestMeta


def main():
    party_id = 'REPLACE_ME' # party_id used in create_party
    with open('./resource/application_config.yml') as config_file:
        config = yaml.safe_load(config_file)

    jwt = get_jwt(RequestMeta(), config)
    request_meta = RequestMeta.with_config(config, create_bearer_token_header(jwt))
    party_json = party.get_party(request_meta, party_id)
    print(json.dumps(party_json, indent=2))


if __name__ == '__main__':
    main()