# Copyright © 2024 AgPowered Services
import yaml

from tutorial.adma.jwt import get_jwt
from tutorial.util.request_meta import RequestMeta


def main():
    with open('./resource/application_config.yml') as config_file:
        config = yaml.safe_load(config_file)

    request_meta = RequestMeta()
    jwt = get_jwt(request_meta, config)
    print(f'Bearer {jwt}')


if __name__ == '__main__':
    main()
